Skip to main content
PUT
/
proxy
/
{id}
Update proxy
curl --request PUT \
  --url https://api.gologin.com/proxy/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "mode": "http",
  "id": "6201422450e3b9cd602f24e1",
  "host": "127.0.0.1",
  "port": 80,
  "username": "user",
  "password": "password",
  "changeIpUrl": "https://some-proxy-provider.com/change-ip",
  "customName": "My Proxy",
  "notes": "<string>"
}
'
import requests

url = "https://api.gologin.com/proxy/{id}"

payload = {
    "mode": "http",
    "id": "6201422450e3b9cd602f24e1",
    "host": "127.0.0.1",
    "port": 80,
    "username": "user",
    "password": "password",
    "changeIpUrl": "https://some-proxy-provider.com/change-ip",
    "customName": "My Proxy",
    "notes": "<string>"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    mode: 'http',
    id: '6201422450e3b9cd602f24e1',
    host: '127.0.0.1',
    port: 80,
    username: 'user',
    password: 'password',
    changeIpUrl: 'https://some-proxy-provider.com/change-ip',
    customName: 'My Proxy',
    notes: '<string>'
  })
};

fetch('https://api.gologin.com/proxy/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "_id": "<string>",
  "id": "<string>",
  "mode": {},
  "host": "<string>",
  "port": 123,
  "username": "<string>",
  "password": "<string>",
  "lastIp": "<string>",
  "changeIpUrl": "<string>",
  "profiles": [
    "<string>"
  ],
  "profilesCount": 123,
  "customName": "<string>",
  "status": true,
  "country": "<string>",
  "defaultCountry": "<string>",
  "city": "<string>",
  "checkDate": "2023-11-07T05:31:56Z",
  "createdAt": "2023-11-07T05:31:56Z",
  "timezone": "<string>",
  "languages": "<string>",
  "connectionType": {},
  "notes": "<string>",
  "isRestoredByOwner": true,
  "isStatic": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

id of the proxy.

Body

application/json
mode
enum<string>
required

Proxy mode represent the protocolo of the connection to the proxy.

Available options:
http,
socks4,
socks5,
possh,
geolocation,
none,
gologin,
tor
Example:

"http"

id
string

You can specify particular proxy by its id or leave it empty to use default proxy.

Example:

"6201422450e3b9cd602f24e1"

host
string

Proxy host. It could be ip address or domain name.

Example:

"127.0.0.1"

port
number

Proxy port.

Example:

80

username
string

Proxy username.

Example:

"user"

password
string

Proxy password if proxy requires authentication.

Example:

"password"

changeIpUrl
string

This allows you to change IP address of the proxy if your proxy provider supports it.

Example:

"https://some-proxy-provider.com/change-ip"

customName
string

As proxy is separate entity in gologin, you can set custom name for it to identify it in the list of proxies.

Example:

"My Proxy"

notes
string

Parameter for proxy management.

Response

200 - application/json
_id
string
required
deprecated
id
string
required
mode
object
required
host
string
required
port
number
required
username
string
password
string
lastIp
string
changeIpUrl
string
profiles
string[]
profilesCount
number
customName
string
status
boolean
country
string
defaultCountry
string
city
string
checkDate
string<date-time>
createdAt
string<date-time>
timezone
string
languages
string
connectionType
object
notes
string
isRestoredByOwner
boolean
isStatic
boolean